# -*- coding: utf-8 -*-
from setuphelpers import *
import json

error_message = """
\!/ WARNING \!/

This package requires customization before use!
Please run update_package to generate the appx_to_uninstall.json file
Or create the file manually and add a list of application names to be uninstalled

Exemple:

[
    "Microsoft.BingFinance",
    "Microsoft.WindowsAppRuntime.1.3",
    "Microsoft.SecHealthUI",
    "ClearChannelRadioDigital.iHeartRadio"
]
"""

appx_json_filename = 'appx_to_uninstall.json'

def install() :

    if not isfile(appx_json_filename):
        error(error_message)

    print("Removing: Unwanted Microsoft Store applications...")
    installed_appx_packages = run_powershell("Get-AppxPackage -AllUsers")

    with open('appx_to_uninstall.json') as f:
        to_uninstall_apps = json.load(f)
    
    for app in installed_appx_packages :
        if app['Name'] in to_uninstall_apps :
            try :
                print("Removing : %s" % app['Name'])
                run_powershell("Remove-AppxPackage -AllUsers -Package %s" % app['PackageFullName'])
            except :
                print("Unable to remove : %s" % app['Name'])
    print("Done")


# To remove appx installed on current user
# def session_setup():
#
#     if not isfile(appx_json_filename):
#         error(error_message)
#
#     print("Removing: Unwanted Microsoft Store applications...")
#     installed_appx_packages = run_powershell("Get-AppxPackage")
#
#     with open('appx_to_uninstall.json') as f:
#         to_uninstall_apps = json.load(f)
#  
#     for app in installed_appx_packages :
#         if app['Name'] in to_uninstall_apps :
#             try :
#                 print("Removing : %s" % app['Name'])
#                 run_powershell("Remove-AppxPackage -Package %s" % app['PackageFullName'])
#             except :
#                 print("Unable to remove : %s" % app['Name'])